com.independentsoft.exchange

## Class WeeklyRecurrencePattern

- java.lang.Object
- - com.independentsoft.exchange.WeeklyRecurrencePattern

- All Implemented Interfaces:
    RecurrencePattern, TaskRecurrencePattern

      public class WeeklyRecurrencePattern
      extends java.lang.Object
      implements RecurrencePattern, TaskRecurrencePattern

  Describes a weekly recurrence pattern.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeeklyRecurrencePattern()` Initializes a new instance of the WeeklyRecurrencePattern class.
    `WeeklyRecurrencePattern(int interval)` Initializes a new instance of the WeeklyRecurrencePattern class.
    `WeeklyRecurrencePattern(int interval, java.util.List<DayOfWeek> days)` Initializes a new instance of the WeeklyRecurrencePattern class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DayOfWeek>` | `getDays()` Gets which days of the week are in the weekly recurrence pattern.
    `int` | `getInterval()` Gets the interval, in weeks, between two consecutive weekly recurrence pattern items.
    `void` | `setInterval(int interval)` Sets the interval, in weeks, between two consecutive weekly recurrence pattern items.
    `java.lang.String` | `toString()` Converts the value of the current WeeklyRecurrencePattern object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WeeklyRecurrencePattern

          public WeeklyRecurrencePattern()

      Initializes a new instance of the WeeklyRecurrencePattern class.

    - #### WeeklyRecurrencePattern

          public WeeklyRecurrencePattern(int interval)

      Initializes a new instance of the WeeklyRecurrencePattern class.
      Parameters:
        `interval` - the interval

    - #### WeeklyRecurrencePattern

          public WeeklyRecurrencePattern(int interval,
                                         java.util.List<DayOfWeek> days)

      Initializes a new instance of the WeeklyRecurrencePattern class.
      Parameters:
        `interval` - the interval
        `days` - the days

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current WeeklyRecurrencePattern object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getInterval

          public int getInterval()

      Gets the interval, in weeks, between two consecutive weekly recurrence pattern items. The value can be in the range from 1 to 99.
      Returns:
        the interval

    - #### setInterval

          public void setInterval(int interval)

      Sets the interval, in weeks, between two consecutive weekly recurrence pattern items. The value can be in the range from 1 to 99.
      Parameters:
        `interval` - the new interval

    - #### getDays

          public java.util.List<DayOfWeek> getDays()

      Gets which days of the week are in the weekly recurrence pattern.
      Returns:
        the days